<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://java.sun.com/jsf/facelets">

<h:head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no"/>
    <h:outputStylesheet library="css" name="custom.css" target="body"/>
    <title>AT CENTER</title>
</h:head>

<h:body>
    <div class="ui-g">
        <div class="ui-g-8 ui-g-offset-2">
            <div class="ui-g">
                <div class="ui-g-12 ui-md-12 ui-lg-12">
                    <h:form>
                        <p:menubar>
                            <p:menuitem value="Main" url="/"/>
                            <p:menuitem value="Jobs" url="/job-list" rendered="#{not empty request.remoteUser}"/>
                            <p:menuitem value="Systems" url="/system-list" rendered="#{not empty request.remoteUser}"/>
                            <p:menuitem value="Categories" url="/category-list"
                                        rendered="#{not empty request.remoteUser}"/>
                            <f:facet name="options">
                                <h:panelGroup rendered="#{not empty request.remoteUser}">
                                    <p:linkButton styleClass="buttons" value="Search" outcome="pretty:search"/>
                                    <p:spacer width="20"/>
                                    <p:linkButton styleClass="buttons" value="Profile" outcome="#{userBean.viewUser()}"/>
                                    <p:spacer width="20"/>
                                    <p:linkButton styleClass="buttons" value="Logout" outcome="pretty:logoutUser"/>
                                </h:panelGroup>
                                <h:panelGroup rendered="#{empty request.remoteUser}">
                                    <p:linkButton styleClass="buttons" value="Registration" outcome="pretty:registration"/>
                                    <p:spacer width="20"/>
                                    <p:linkButton styleClass="buttons" value="Login" outcome="pretty:loginUser"/>
                                </h:panelGroup>
                            </f:facet>
                        </p:menubar>
                    </h:form>
                </div>
            </div>
            <div class="ui-g">
                <div class="ui-g-12 ui-md-12 ui-lg-12">
                    <ui:insert name="content"/>
                </div>
            </div>
        </div>
    </div>
</h:body>

</html>
